Bug 1280078 - Missing KDE dependencies for kde-connect
Missing KDE dependencies for kde-connect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-connect (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 17:08 EST by Peter Oliver
Modified: 2015-12-02 18:50 EST (History)
8 users (show)

See Also:
Fixed In Version: kde-connect-0.9-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 18:50:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Oliver 2015-11-10 17:08:21 EST
Description of problem:
Desktop file /usr/share/applications/kdeconnect-non-plasma.desktop execs plasmawindowed, and /usr/share/applications/kdeconnect.desktop execs kcmshell5.  However, neither of these binaries are installed after running `dnf install kde-connect` on a fresh Gnome-based Fedora 22 installation.

Version-Release number of selected component (if applicable):
kde-connect-0.8-9.fc22.x86_64

Additional info:
/usr/bin/plasmawindowed is provided by package plasma-workspace.
/usr/bin/kcmshell5 is provided by package kde-cli-tools.
Comment 1 Rex Dieter 2015-11-10 17:56:29 EST
I wasn't even aware of kdeconnect-non-plasma , neat, adding those deps shouldn't be a problem.
Comment 2 Nerijus Baliūnas 2015-11-22 16:30:30 EST
kde-connect.x86_64 0:0.9-2.fc23 installed plasma-workspace, which installed 52 additional packages. Is it really needed?
Comment 3 Rex Dieter 2015-11-28 19:09:36 EST
Yes, at least until we can consider splitting plasma-workspace a bit more
Comment 4 Nerijus Baliūnas 2015-11-29 05:36:09 EST
Is it possible to use some other program instead of plasmawindowed?
Comment 5 Rex Dieter 2015-11-29 06:47:33 EST
I don't know, but I'd doubt it (if you want a definitive answer, ask upstream)
Comment 6 Nerijus Baliūnas 2015-11-29 08:05:25 EST
Filled bug 1286431
Comment 7 Fedora Update System 2015-11-30 07:54:23 EST
kde-connect-0.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6bca71e53
Comment 8 Fedora Update System 2015-11-30 07:54:37 EST
kde-connect-0.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3826a814af
Comment 9 Fedora Update System 2015-11-30 16:21:21 EST
kde-connect-0.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-12-02 18:50:40 EST
kde-connect-0.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.